% This makes some plots of the initial conditions

% Test the initial dominant wavelength
figure(1)
yf=fft(y(1:lx));
yf=yf(1:end/2).*conj(yf(1:end/2));
loglog(dx.*(0:lx/2-1),yf./sum(yf));
xlabel('wavelength (m)')
ylabel('Power Density (arbitrary units)')
title('Power Spectral Density of Initial Conditions')
