% This is where the initial conditions are set.
t=0;

% This specifies the initial surface height perturbation and the
% time derivative of the surface height perturbation.
%
% It is probably easiest to set the latter to zero.

% Wavepacket with two fundamental frequencies.
%y=[exp(-((x-L/2)/(500)).^2).*(sin(2*pi*x/(100))+sin(2*pi*x/(250))) zeros(size(x))];

% Gaussian Blob
%y=[exp(-((x-L/2)/(100)).^2) zeros(size(x))];

% Top Hat
y=zeros(size([x x]));y((-100:99)+lx/2)=1;

% Triangle
%y=zeros(size([x x]));y((-100+lx/2):(-1+lx/2))=linspace(0,1);y((lx/2):(99+lx/2))=linspace(1,0);

% Isolated single crest and trough
%y=zeros(size([x x]));y((-100:99)+lx/2)=sin(2*pi*(0:199)/200);

% Some smoothing is needed to eliminate numerical issues.
y=smooth(smooth(y))';

% For convenience, we subtract out the mean of y
y(1:lx)=y(1:lx)-mean(y(1:lx));

% We also rescale y to have unit amplitude.  
%Since we are only doing the linear problem here, 
%this is inconsequential and makes plotting easier.
y(1:lx)=y(1:lx)./sqrt(max(y(1:lx).^2));


h=1e-4         % Initial timestep value
steps=0        % counter for the number of steps taken
saves=1        % counter for the number of saved steps

